toep {sdpt3r} | R Documentation

## Toeplitz Approximation Problem

### Description

`toep` creates input for sqlp to solve the Toeplitz approximation problem - given a symmetric matrix F, find the nearest symmetric positive definite Toeplitz matrix.

### Usage

    toep(A)

### Arguments

`A` | A symmetric matrix

### Details

For a symmetric matrix A, determines the closest Toeplitz matrix. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    data(Ftoep)

    #Not Run
    #out <- toep(Ftoep)

[Package sdpt3r version 0.3 Index]